Main Application Index

LMWin32 Help Index

Main menu

Edit menu

Help menu

Dialog Boxes

Link Manager

Tool Bar

Title Bar

Status Bar

General


File menu commands

Menu commands

The Main menu offers the following commands:

New | Creates a New Script File
Open | Opens an existing Script File.
Print | Prints the File
Exit | Exits LMWin32.
Configure RS232 | Sets the current connection interface to RS232
Configure SCSI | Sets the current connection interface to SCSI
Configure TCP/IP | Sets the current connection interface to TCP/IP
Configure B.S/B.B(IOBOX) | Sets the current connection interface to B.S/B.B(IOBOX)
Configure USB | Sets the current connection interface to USB
Configure DefaultI | Sets any one of the five as default
Configure Settings | Configures the settings for selected communication mode
LMStart | Starts the Link Manager
LMStop | Stops the Link Manager.
Command | Execute a command
Script | Execute a Script File
Abort | Abort the Current Session


(Untitled)

Script File menu commands

This menu is on Script New Dialog box

The Edit menu offers the following commands:

File | This menu has three options; Save; SaveAs; Exit | Saves the current script file which is open. Saves the script file with specified file name in the given directory. Exits the application.
Edit | This menu item has six options |
 | Add | Adds a command to the script file
 | Combine | Concatnates a command to the script file on the same line.
 | Cut | Deletes data from the document and moves it to the clipboard.
 | Copy | Copies data from the document to the clipboard.
 | Paste | Pastes data from the clipboard into the document.
 | Delete | Deletes data from the document and moves it to the clipboard.


(Untitled)

Help menu commands

The Help menu offers the following commands, which provide you assistance with this application:

HelpTopics | Offers you an index to topics on which you can get help.
About | Displays the version number of this application.


(Untitled)

Dialog Boxes

The following screens assist the user.

New | Creates a New Script File
Configure RS232 | Update/View the configuration of RS232
Configure SCSI | Update/View the configuration of SCSI
Configure TCP/IP | Update/View the configuration of TCP/IP
Configure B.S/B.B(IOBOX) | Update/View the configuration of B.S/B.B(IOBOX)
Configure USB | Update/View the configuration of USB
Command | Execute a command
HT Selection | CheckBox Display For Selecting Stations
Monitor TCP/IP Stations | Displays State Of IOBox For A TCP/IP Session
Script | Execute a Script File


About Link Manager

Link Manager

What is Link Manager ?

Link Manager has to be started to establish connection between the PC and HT.

Link manager manages multiple connections with many HT's, like one can have connection through RS232 or SCSI or TCP/IP or B.S/B.B(IOBOX) or USB any one running at a time. There can be four different types of connections possible, they are

  • RS232

  • SCSI

  • TCP/IP (currently not available)

  • B.S/B.B(IOBOX)

  • USB

How many connections can each type can handle?

In RS232 type there can be connection only one HT at any given point of time.

In SCSI type there can be connections with 7 HT's at any given point of time.

In TCP/IP type there can be connections with 1-254(default 100) HT's at any given point of time.

In B.S/B.B(IOBOX) type there can be connections with 1-8(default 1) HT's at any given point of time.

In USBI type there can be connections with one HT at any given point of time.

How to start Link Manager?

SelectE/CODE>Execute-LinkManager-Start LinkManagerE/CODE>option from the main menu.

You can also start Link Manager by clicking on this toolbar icon .

How to stop Link Manager?

SelectE/CODE>Execute-LinkManager-Stop LinkManagerE/CODE>option from the main menu.

You can also stop Link Manager by clicking on this toolbar icon .

What happens when You start Link Manager?

When Link Manager is started, it tries to make connection to HT's. If any command is

given from PC side (non-server mode) Link Manager will execute that command. Link

Manager is also responsible for getting commands given by HT's and execute it on PC.

When Link Manager is started, it tries to make connection to HT's. If any command is

given from PC side (server mode) Link Manager will execute that command. Link

Manager is also responsible for getting commands given by HT's and execute it on PC.

It checks for device.ini, if it is not found there it displays an error message and closes the

application.

Once the Link Manager starts the Configure pull-down menu will be disabled.

It also disables Execute-->Command ,Execute-->Script , Execute-->LMSTART menu and

toolbar items.Also , it enables Execute-->LMStop menu and toolbar items

If the batch mode is not selected from Execute-> Command or ExecuteScript Dialog box , ,then it enable Exec-->Command and ,Execcute-->Script menu and toolbar items.

The menu and toolbar items are restored to their orignal state, when the link manager is

stopped


Toolbar

The toolbar is displayed across the top of the application window, below the menu bar. The toolbar provides quick mouse access to many tools used in LMWin32 ,

ClickTo

Create a new Script File .

For more information see New Script File Dialog Box

Open an existing Script File. LMWin32 displays the Open

dialog box, in which you can locate and open the desired file.

For more information see Open a Script File

Print the active Script File.

Starts the Link Manager. For more information see Link Manager

Stops the Link Manager. For more information see Link Manager

Opens the Execute command dialog box for execution of a command.

For more information see Execute Command Dialogbox

Opens the script file dialog box for execution of a script file.

For more information see Execute Script File Dialogbox

Aborts the current connection. For more information see Abort


Title Bar

The title bar is located along the top of a window. It contains the name of the application and document.

To move the window, drag the title bar. Note: You can also move dialog boxes by dragging their title bars.

A title bar may contain the following elements:

Application Control-menu button

Document Control-menu button

Maximize button

Minimize button

Name of the application

Name of the document

Restore button


Status Bar

The status bar is displayed at the bottom of the LMWin32 window.

The left area of the status bar describes actions of menu items as you use the arrow keys to navigate through menus. This area similarly shows messages that describe the actions of toolbar buttons as you depress them, before releasing them. If after viewing the description of the toolbar button command you wish not to execute the command, then release the mouse button while the pointer is off the toolbar button.

The right areas of the status bar shows the current date and time.


General Information

1. Introduction

This document furnishes the general information about the LMWin32 Software for the system. It describes the operation, screens,installation and configuration of the system.It also describes the application programming interface.

The object of the LMWin32 Software is to perform the following functions:

  1. Send and Receive files between Host PC and Handy Terminal

  2. Remote two-way and one-way command execution ( buzzer activate, format )

  3. Script file execution on Host PC

2. Terminology/Nomenclature

  • Download - Transfer of files/data from Host PC to Handy Terminal ( or HT )

  • Upload - Transfer of files/data from Handy Terminal to Host PC

  • I/OBox - A device which acts as the interface between the Host and the Handy Terminal.This device can be a Master I/OBox or a Satellite I/O Box or a Bridge Satellite I/O Box or Bridge Basic I/O Box.

  • Master I/O Box - An I/OBox which connects to the Host PC through a SCSI/Ethernet link. A Master I/O Box has protocol translation capability ,and can support upto a maximum of 7 satellite I/O Boxes through RS 422 links.

  • Satellite I/O Box - An I/O Box which is connected to a Master I/O Box through RS 422 link OR an I/O Box which can be connected to the Host PC through an RS 232C link.It basically acts as a protocol converter from RS 232C to IrDA.

  • Bridge Satellite I/O Box - An I/OBox which connects to the Host PC through a USB/RS 232 C link. A Bridge Satellite I/O Box doesn’t has IrDA protocol stack ,it performs conversion processing in the PC side. A Bridge Satellite I/O Box can support upto a maximum of 7 satellite I/O Boxes through RS 422 links.

  • Bridge Basic I/O Box - An I/OBox which connects to the Host PC through only a USB link. A Bridge Basic I/O Box as well as a Bridge Satellite I/O Box doesn’t has IrDA protocol stack ,it performs conversion processing in the PC side.

  • USB Cradle- It operates by the USB protocol in I/OBOX connected with host PC via the USB link.

  • Broadcast Mode - Downloading to the Master I/O Box and all its Satellite I/O Boxes from the Host at the same time.

  • Script File - An application specific batch file which is prepared on the Host PC, consisting of a number of commands to be executed in sequence. This file can be prepared on the Host PC using the Environment Setup Tool ( part of the LMWin32 ) or a Text Editor. This file can be designed to execute on the Host or the HT. The script files shall have an extension of .SCR. The Utility will not recognize any other extensions as script files.

  • Session - The activity between the Host and an HT from the start of a request by the HT to the termination of the activity is called a session.In the Windows environment, multiple sessions can be active ( one for each Master I/O Box) on the host.

3. System Architecture

The Download/Upload System architecture is as shown above. It consists of the following components:

1. Environment Setup Tool

This is a Graphical User Interface of the LMWin32 . It consists of the following sub-systems:

I) A script file editor which enables the user to create and edit scipt files in wizard form .

ii) A Configuration file editor which enables the user to select the communication interface between the IO BOX and the PC Host and also to configure the settings ( baud rate, ethernet addresss etc ). These settings and selections are stored in the Configuration file DEVICE.INI.

iii) A Command Execution Screen which enables the user to start and stop the utility and to issue commands ( send,receive, format etc ).

2. User Program (optional)

This is an optional facility by which the user can make use of the File Transfer Utility APIs to develop their own Applications or User Interfaces. This product provides a standard User Interface ( the Environment Set Up Tool ) , but the user has the option to develop other interfaces or enhance the existing interface.

3. File Transfer Utility

This sub-system implements the File Transfer Protocol ,and may be considered as the engine which carries out all file transfer and other commands.

4. Communication Layer

This layer provides a common interface between the various communication drivers ( RS 232C, SCSI ,TCP/IP , B.S/B.B(IOBOX) , USB ) and the File Transfer Utility layer. The objective of this is to provide a single application programming interface between the Utility and the drivers.

5. Communication Drivers

This layer implements the communication drivers for RS 232C, SCSI TCP/IP , B.S/B.B(IOBOX) , USB.This is the lowest layer which interfaces directly between the hardware on the Host PC and the I/O BOX.

4. Functionality

The LMWin32 provides the following functions between the Host Machine and the Handy terminal:

1. File Send7. Set Time and Date13. End Session

2. File Receive8. Delete14. Execute Child Process

3. File Send & Append9 . Move/Rename15. Display String

4. File Receive & Append10. Get Disk Information

5. Buzzer activate11. Get File Information

6. Format Disk12. Set File Information

5. System Configuration

The following System Configurations are supported:

  1. PC Host Connected to Satellite I/O Box through an RS 232C serial link.The Satellite I/O Box may be chained to other Satellite I/O Boxes ( maximum of 8 ) through RS 422 serial links,as shown below, or may be stand alone.

2. Direct Connection between PC Host and Handy terminal through RS 232C serial link

3. Host PC connected to a chain of Master I/O Boxes ( Max 7 ) using SCSI 2.

4. Host PC connected to a chain of Master I/O Boxes ( Max 23 ) using Ethernet.

5. Host PC connected to a Master I/O Box and chain of satellite I/O Boxes ( 1 Master + 7 Satellite Max ).

6. Host PC connected to more than one Master /Satellite I/O Box chain connection.

7. Host PC connected with Bridge Satellite I/O Box and Bridge Basic I/O Box(USB Only) using USB/RS232C.

8. Host PC connected with USB Cradle using USB.


(Untitled)

Print Setup dialog box

The following options allow you to select the destination printer and its connection.

Printer

Select the printer you want to use. Choose the Default Printer; or choose the Specific Printer option and select one of the current installed printers shown in the box. You install printers and configure ports using the Windows Control Panel.

Orientation

Choose Portrait or Landscape.

Paper Size

Select the size of paper that the document is to be printed on.

Paper Source

Some printers offer multiple trays for different paper sources. Specify the tray here.

Options

Displays a dialog box where you can make additional choices about printing, specific to the type of printer you have selected.

Network...

Choose this button to connect to a network location, assigning it a new drive letter.


Print Preview toolbar

The print preview toolbar offers you the following options:

Print

Bring up the print dialog box, to start a print job.

Next Page

Preview the next printed page.

Prev Page

Preview the previous printed page.

One Page / Two Page

Preview one or two printed pages at a time.

Zoom In

Take a closer look at the printed page.

Zoom Out

Take a larger look at the printed page.

Close

Return from print preview to the editing window.


(Untitled)

Print dialog box

The following options allow you to specify how the document should be printed:

Printer

This is the active printer and printer connection. Choose the Setup option to change the printer and printer connection.

Setup

Displays a Print Setup dialog box, so you can select a printer and printer connection.

Print Range

Specify the pages you want to print:

All | Prints the entire document.
Selection | Prints the currently selected text.
Pages | Prints the range of pages you specify in the From and To boxes.

Copies

Specify the number of copies you want to print for the above page range.

Collate Copies

Prints copies in page number order, instead of separated multiple copies of each page.

Print Quality

Select the quality of the printing. Generally, lower quality printing takes less time to produce.


File Print Preview command

Print Preview command (File menu)

Use this command to display the active document as it would appear when printed. When you choose this command, the main window will be replaced with a print preview window in which one or two pages will be displayed in their printed format. The print preview toolbar offers you options to view either one or two pages at a time; move back and forth through the document; zoom in and out of pages; and initiate a print job.


File Page Setup Command

Page Setup command (File menu)

<< Write application-specific help here. >>


(Untitled)

Print Progress Dialog

The Printing dialog box is shown during the time that <<YourApp>> is sending output to the printer. The page number indicates the progress of the printing.

To abort printing, choose Cancel.


File Print command

Print command (File menu)

Use this command to print a document. This command presents a Print dialog box, where you may specify the range of pages to be printed, the number of copies, the destination printer, and other printer setup options.

Shortcuts

Toolbar:

Keys:CTRL+P


File Print Setup command

Print Setup command (File menu)

Use this command to select a printer and a printer connection. This command presents a Print Setup dialog box, where you specify the printer and its connection.


(Untitled)

New Script File

Opens the New Script File Dialog box , enabling the User to create and edit a new Script File (extension .SCR) . The file can be created by choosing various commands from the available list, selecting the corresponding options available with the selected command. The Add Button adds the chosen command to the script file or the Combine button concatetnates the chosen command to the same line. Or the user can directly go to the Edit box and edit the script file.

See Help on New Script File Dialog for more Information.

Shortcuts

Toolbar:

Keys:CTRL+N


(Untitled)

Scroll bars

Displayed at the right and bottom edges of the document window. The scroll boxes inside the scroll bars indicate your vertical and horizontal location in the document. You can use the mouse to scroll to other parts of the document.

<< Describe the actions of the various parts of the scrollbar, according to how they behave in your application. >>


Configure RS232 Dialog Box

This dialog box is used to configure the system for RS232 driver. These settings are also reflected to the device.ini file.

The various settings which could be done using this dialog box are as under.

COM PortSpecify the Com poart currently used for the connection. Can be com1,

com2, com3 and com4.

Baud RateSpecifys the rate at which the data is to be transferred ie. Bits per

Second.Can be 110, 300, 1200, 2400, 4800, 9600, 19200, 38400, 115200

ParityUsed for parity checking. Can be Even or Odd or None.

IRQ NoIs the communication Link For I/O Port

I/O PortSpecifys the currently used I/O port

Stop BitsSpecifys the bit used as a seperator .Could be 1, 1.5, 2.

Data BitsThe Number of bits used to transfer a character.Could be 6, 7, or 8.

Working DirectorySpecifys the woriking directory being used, where all the script files are

kept.

Error Log FileThe file in which the user wants the error messages to be stored , while

the Application is active.


(Untitled)

Using Help command (Help menu)

Use this command for instructions about using Help.


Configure IrDA Dialog Box

Configure B.S/B.B(IOBOX) Dialog Box

Working Directory

Specifys the working directory being used, where allE/CODE>.SCRE/CODE> are kept.

Error Log File

The file in which the user wants the error messages to be stored , while the Application is active.


(Untitled)

Mode

Mode could be Single or Batch.

In SINGLE mode , the command is run just once and HT dosen’t comes out till an end indication command is given by the user. The HT waits for the next command. But if a script file is executed in a single mode, HT comes out immediatly after executing the script file.

While in BATCH mode, the HT immediately comes out after executing the command, but the same command will be executed again if a request is sent from the HT to PC.This goes on until the User presses Abort from Execute Menu or clicks on Abort Tool bar Item.

Behind the scene, in single mode, the command buffer is cleared immediatly after the execution of the command is completed , while in batch mode the command buffer is not cleared and the same command is run if request is sent from the HT to PC.


New Script File Dialog Box

Edit Script File Dialog Box

Edit Menu | Provides various file editing options like Cut, Copy, Paste,Save , SaveAs etc.

Commands

Send

Receive

Buzzer

Format

Set Time Date

Delete

Disp Str

Move

Append Send

Append Recv

Get Disk Info

Get File Info

Set File Info

End Session

Exec

Drive | Specifieshe drive on HT from or to which the executed command will transfer the data depending on the command selected.It is enabled on.y in case of format , and Getdiskinfo.
Size | Specifys the Size of the file , for the commands like SetFileInfo.
Date | Specifys the date to be used by the command like SetfFileInfo,and SetTimeDate etc.
Time | Specifys the time to be used by the command like SetfFileInfo and SetTimeDate etc.
Attrib | Groups the various file attributes listed below Enabled only in case of setfilinfo
 | Hidden | If this option is checked , then the file is stored with attribute set to hidden.
 | Read-only | If this option is checked , then the file is stored with attribute set to Read-only.
 | Archive | If this option is checked , then the file is stored with attribute set to Archived
 | System | If this option is checked , then the file is stored as a system File.
Options | Groups the various options listed below
 | Overwrite | If this option is selected and the file sent/receivbed already exists on thePC, the fiel is overwritten
 | Recursive | If this option is selected and the file sent/received is a directory, then the same directory structure is created at the destination including sub-directories(if any)
 | Update | If this option is selected and the file sent/received already exists on the destination, then the application checks for the date-time stamp on the file.The file is written only if the existing file is chronologically older.
File(s) | Name of the source file /directory to be operated on.
Destination Directory | Directory where the file is finally stored
Add | Adds a command with all the selected options attributes , and parameters to the script file open for editing.The comand is added on a new line.
Combine | Puts the currently selected command on the same line as the last command with all the options ,attributes and parameters.
Script File | Displays the currently edited script file. When an existing file is open, its contents are displayed in this edit box. The contents of this edit box , are saved as the specified script file.
Browse | Browses the user thruough various directory structure.
Display string | Thsi optione is available with this command only.
Child Process | Specify the exe to be run as child process.
Source file | Specify the name of the file to be operated on.
Destination File | Specify the name of the result fil e or directory.
Save | Saves the current file.
Save As | Specify the name and path by which the current file is to be saved
Exit | Exits the application.


(Untitled)

Executes a Command

The selection of this menu item pops up Execute Command Dialog box.

The user can choose the command from the available list of commands, selecting various options available with that command. The execution of commands could be in single or batch mode, again available as options to be selected.

The user can specify Files and the destination directory(if either is required) in the edit boxes. The selection of the OK button , executes the command. For the sessions selected.

The various available commands are

Commands

Send

Receive

Buzzer

Format

Set Time Date

Delete

Disp Str

Move

Append Send

Append Recv

Get Disk Info

Get File Info

Set File Info

End Session

Exec

See Command for more information

Shortcuts

ToolBar

Keys:Alt+E+C

Ctrl+M


(Untitled)

Cut command (Edit menu)

Use this command to remove the currently selected data from the document and put it on the clipboard. This command is unavailable if there is no data currently selected.

Cutting data to the clipboard replaces the contents previously stored there.

Shortcuts

Keys:Alt+E+t


(Untitled)

Starts the Link Manager

When Link Manager is started, it tries to make connection to HTs. If any command is given from PC side (non-server mode) Link Manager will execute that command. Link Manager is also responsible for getting commands given by HTs and execute it on PC.

It checks for device.ini, if it is not found there it displays an error message and closes the application.

Once the Link Manager starts the Configure pull-down menu will be disabled.

It also disables Execute-->Command ,Execute-->Script , Execute-->LMSTART menu and toolbar items.

Also , it enables Execute-->LMStop menu and toolbar items

If the batch mode is not selected from Execute-> Command or ExecuteScript Dialog box , , then it enable Exec-->Command and ,Execcute-->Script menu and toolbar items

See Link Manager for more information.

Shortcuts

Toolbar

Keys:Alt+E+L


(Untitled)

Configure B.S/B.B(IOBOX)

Choosing this option sets B.S/B.B(IOBOX) as the current interface and when user clicks Configure Menu item, it opens the Configure B.S/B.B(IOBOX) dialog box , enabling the user to update the configuration of the B.S/B.B(IOBOX) interface The user can change Working Directory and Error Log File.

See Help on Configure B.S/B.B(IOBOX) Dialog Box for more Information.

Shortcuts

Keys:Alt+C+I


(Untitled)

Executes a Script File

This brings up the Execute Script Dialog box which enables the user to choose and execute a script file. The execution could be in single or batch mode.

See Script for more information.

Shortcuts

ToolBar

Keys:Alt+E+S

Ctrl+S


Execute Command Dialog Box

Commands

Send

Receive

Buzzer

Format

Set Time Date

Delete

Disp Str

Move

Append Send

Append Recv

Get Disk Info

Get File Info

Set File Info

End Session

Exec

Drive | Specifys the drive on HT from or to which the executed command will transfer the data depending on the command selected.
Size | Specifys the Size of the file , for the commands like SetFileInfo.
Date | Specifys the date to be used by the command like SetfFileInfo, SetTimeDate etc.
Time | Specifys the time to be used by the command like SetfFileInfo, SetTimeDate etc.
Attrib | Groups the various file attributes listed below
 | Hidden | If this option is checked , then the file is stored with attribute set to hidden.
 | Read-only | If this option is checked , then the file is stored with attribute set to Read-only.
 | Archive | If this option is checked , then the file is stored with attribute set to Archived
 | System | If this option is checked , then the file is stored as a system File.
Options | Groups the various options listed below
 | Overwrite | If this option is selected and the file sent/receivbed already exists on thePC, the fiel is overwritten
 | Recursive | If this option is selected and the file sent/received is a directory, then the same directory structure is created at the destination including sub-directories(if any)
 | Update | If this option is selected and the file sent/received already exists on the destination, then the application checks for the date-time stamp on the file.The file is written only if the existing file is chronologically older.
File(s) | Name of the source file /directory to be operated on.
Destination Directory | Directory where the file is finally stored
Mode | Sets the mode of execution of command
Browse | Browses the user thruough various directory structure.
Display string | Thsi optione is available with this command only.
Child Process | Specify the exe to be run as child process.
Source file | Specify the name of the file to be operated on.
Destination File | Specify the name of the result fil e or directory.
Save | Saves the current file.
Save As | Specify the name and path by which the current file is to be saved
Exit | Exits the application.

Short Cut

Toolbar

KeyCtrl+M


(Untitled)

Save as Default

Sets the currently selected connection interface(RS232 , SCSI , TCP/IP, B.S/B.B(IOBOX) , USB) as the default one.

Next time onwards Application is invoked, the default interface is used for communucation.

Shortcuts

Keys:Alt+C+D


Execute Script File Dialog Box

Select

Enables the usr to select the script file to be executed from the list of the script

files(extension .SCR) picked from the current directory.

Mode

Shortcuts

Toolbar:

Keys:CTRL+S


(Untitled)

No Help Available

No help is available for this area of the window.


SCSI Selection Dialog Box

SCSI / ETHERNET Selection Dialog Box

This dialog box could be used to select from the multiple possible sessions , the one to be operated on. The mode of selection is by checking the desired checkboxes that are displayed.The same dialog box appears when the user wants to end the session. This dialog box can also be used for aborting the current active sessions . This dialog box appears when the SCSI or TCP/IP is selected as the communication interface and a Command or a Script File is Executed

In the case of the ETHERNET selection box , the maximum number of sessions that can be selected is decided by the MAX_IO parameter in the device.ini file. The number of checkboxes that can be enabled for selection is determined by the number of IP addresses given under USE_IP in the Device.ini file.


Configure SCSI Dialog Box

Working Directory

Specifys the working directory being used, where allE/CODE>.SCRE/CODE>are kept.

Error Log File

The file in which the user wants the error messages to be stored , while the Application is active.


File Exit command

Exit command (File menu)

Use this command to end your LMWin32 session. You can also use the Close command on the application Control menu. LMWin32 prompts you to save documents with unsaved changes.

Shortcuts

Mouse:Double-click the application's Control menu button.

Keys:ALT+F4

Esc


(Untitled)

Copy command (Edit menu)

Use this command to copy selected data onto the clipboard. This command is unavailable if there is no data currently selected.

Copying data to the clipboard replaces the contents previously stored there.

Shortcuts

Keys:Atl+E+C


Set File Info

Sets the information like File Attributes(Hidden, Readonly, Archived, System), Date, Time, Drive,Size etc. of the file name entered in the edit boxE/CODE>Enter FileE/CODE>on HT.

This command could be run in SINGLE or BATCH MODE

See Execute Command Dialog Box for more Information


Append Recv

Another form of recv command.Here the received file is appended to the file of the same name,if it exists on PC else a new file is created.

This command could be run in SINGLE or BATCH MODE

Execute Command Dialog Box for more Information


Append Send

Another form of send command. Here the sent file is appended to the file of the same name , if it exists on HT else a new file is created.

This command could be run in SINGLE or BATCH MODE

See Execute Command Dialog Box for more Information


Buzzer

Makes the HT to beep

Currently Not functional

This command could be run in SINGLE or BATCH MODE

See Execute Command Dialog Box for more Information


Delete

This command deletes a the file specified in the File edit box from the HT

If the file doesnot exitsts on HT , it gives a File error on HT.

This command could be run in SINGLE or BATCH MODE

See Execute Command Dialog Box for more Information


Display String

Disp Str

This command displays a string which the user enters on the edit box on to the HT.

This command could be run in SINGLE or BATCH MODE

See Execute Command Dialog Box for more Information


Send

This command can be used to send Files from PC to HT. It gives user the flexibility of specifying single as well as multiple file names .The following options are available with this command

Overwrite | If the file to be sent already exists on the HT, checking this option will overwrite the file.This is done without checking for the date and time stamp of the existing file
Recursive | If the file to be sent is a directory, all the files in that directory are sent to the HT , where they are strored in the same directory hiarchy as they are in the PC
Update | When this option is checked and a file with the same name exists on the HT, the Application checks for the date and time stamp of the existing file . If it is the same as the file to be transferred, no action is taken , otherwise the old existing file( on HT side ) is overwritten.

This command could be run in SINGLE or BATCH MODE

See Execute Command Dialog Box for more Information


(Untitled)

No Help Available

No help is available for this message box.

<< If you wish to author help specific to each message box prompt, then remove the AFX_HIDP_xxx values from the [ALIAS] section of your .HPJ file, and author a topic for each AFX_HIDP_xxx value. For example, AFX_HIDP_INVALID_FILENAME is the help topic for the Invalid Filename message box. >>


Configure TCP/IP Dialog Box

IP AddressDisplays the IP Address(unable to change).

Port No.Specifies the Port No.used to accept the request from the I/O BOX.

Working DirectorySpecifys the directory being used to keep allE/CODE>.SCRE/CODE>files.

Error Log FileThe file in which the user wants the error messages to be stored , while

the Application is active.


Move

It can be used to move file from one directory to another in HT from PC.

It could very well be used for renaming the files on HT.

The user can enter the source and destination file names in the respective combo boxes.

This command could be run in SINGLE or BATCH MODE

See Execute Command Dialog Box for more Information


(Untitled)

Configure Settings

When this menu item is clicked , the dialog box for the updating the settings of the selected communication interface is popped up.

The interface selected could be

RS232

SCSI

TCP/IP

B.S/B.B(IOBOX)

USB

Shortcuts

Keys:Alt+C+e


(Untitled)

Configure SCSI

Choosing this option sets SCSI as the current interface and when user clicks Configure Menu item, it opens the Configure SCSI dialog box , enabling the user to update the configuration of the SCSI interface The user can change Working Directory and Error Log File

See Help on Configure SCSI Dialog Box for more Information.

Shortcuts

Keys:Alt+C+S


(Untitled)

Exit the Application

The user could exit the application by clicking on this menu item. Only when main window is active.

Shortcuts

ToolBars

Keys:Escape Key (Esc)

Alt+S+X

Atl+F4


Configure USB Dialog Box

Working Directory

Specifys the working directory being used, where allE/CODE>.SCRE/CODE> are kept.

Error Log File

The file in which the user wants the error messages to be stored , while the Application is active.


(Untitled)

About command (Help menu)

Use this command to display the copyright notice and version number of your copy of LMWin32 .


(Untitled)

Stops the Link Manager

To stop the link manager. This function also enables and disables various menu and toolbar items as required.

It enables Configure pull-down menu

It also enables New, Open and Print menu and toolbar items

The selection of this menu itme also enable Ecute-->Command ,Eecute-->Script,Eecute-->LMSTART menu and toolbar items and disable Exec->LMStop menu and toolbar items

See Link Manager for more information.

Shortcuts

Toolbar

Keys:Alt+E+L


File Save command

Save command (File menu)

Use this command to save the active script file to its current name and directory. When you save a script file for the first time, LMWin32 displays the Save As dialog box so you can name your script file. If you want to change the name and directory of an existing script file before you save it, choose the Save As command.

Shortcuts

Toolbar:

Keys:CTRL+S


Help Using Help Command

Context Help command

Use the Context Help command to obtain help on some portion of LMWin32 . When you choose the Toolbar's Context Help button, the mouse pointer will change to an arrow and question mark. Then click somewhere in the LMWin32 window, such as another Toolbar button. The Help topic will be shown for the item you clicked.

Shortcut

Keys:SHIFT+F1


(Untitled)

Abort

Aborts the current session if there.

The User can use this to stop the current session .

In case of SCSI/TCPIP, User can select various HT connections from HT selection Dialog box , and abort the sessions

RS232/ B.S/B.B(IOBOX)/ USB : Only one session is possible , so on pression Abort, currrent session will be aborted.

Note : This can also be used for aborting a batch mode of oeration. I the user has given a command execution in batch mode and he/she wants to give some new command, then he can press abort key to remove the effect of batch mode.

Shortcuts

ToolBar

Keys:Break Key.


(Untitled)

Configure TCP/IP

Choosing this option sets TCP/IP as the current interface and when user clicks Configure Menu item, it opens the Configure TCP/IP dialog box , enabling the user to update the configuration of the TCP/IP interface The user can set the IP Address, Port No, Working Directory and Error Log File

See Help on Configure TCP/IP Dialog Box for more Information.

Shortcuts

Keys:Alt+C+T


File Save As command

Save As command (File menu)

Use this command to save and name the active script file. LMWin32 displays the Save As dialog box so you can name your script file.

To save a script file with its existing name and directory, use the Save command.


(Untitled)

File Save As dialog box

The following options allow you to specify the name and location of the file you're about to save:

File Name

Type a new filename to save a document with a different name. A filename can contain up to eight characters and an extension of up to three characters. LMWin32 adds the extension you specify in the Save File As Type box.

Drives

Select the drive in which you want to store the document.

Directories

Select the directory in which you want to store the document.

Network...

Choose this button to connect to a network location, assigning it a new drive letter.


(Untitled)

Open a Script File

Brings up the File Open Dialog Box, enabling the user to browse through the directory structure and select the .SCR (Script) file to open or enter the path and the filename of the .scr file to open. Files with extension .SCR from working directory , only can be opened using this dialog box.

Shortcuts

Toolbar:

Keys:CTRL+O


Receive

This command can be used to receive Files from HT to PC. It gives user the flexibility of specifying single as well as multiple file names .The following options are available with this command

Overwrite | If the file to be sent already exists on the HT, checking this option will overwrite the file.This is done without checking for the date and time stamp of the existing file
Recursive | If the file to be sent is a directory, all the files in that directory are sent to the HT , where they are strored in the same directory hiarchy as Pc
Update | When this option is checked and a file with the same name exists on the HT, the Application checks for the date and time stamp of the existing file . If it is the same as the file to be transferred, no action is taken , otherwise the old existing file( on HT side ) is overwritten.

This command could be run in SINGLE or BATCH MODE

See Execute Command Dialog Box for more Information


(Untitled)

Paste command (Edit menu)

Use this command to insert a copy of the clipboard contents at the insertion point. This command is unavailable if the clipboard is empty.

Shortcuts

Keys:Alt+E+P


(Untitled)

Configure USB

Choosing this option sets USB as the current interface and when user clicks Configure Menu item, it opens the Configure USB dialog box , enabling the user to update the configuration of the USB interface The user can change Working Directory and Error Log File.

See Help on Configure USB Dialog Box for more Information.

Shortcuts

Keys:Alt+C+U


(Untitled)

Print a Script File

Currently this option is disabled. When enabled , it could be used to print the Script Files(.SCR) to the printer.

Shortcuts

Toolbar:

Keys:CTRL+P


(Untitled)

Configure RS232

Choosing this option sets RS232 as the current connection interface with HT and when user clicks Configure Menu item, it opens the Configure RS232 dialog box , enabling the user to update the configuration of the RS232 interface.The user could change the Com Port, Baud Rate, Parity, IRQ No, I/O Port, Stop Bits, Data, Bits, Working Directory, and Error Log File values .

The HT should also have the same settings to communicate properly.

See Help on Configure RS232 Dialog Box for more Information.

Shortcuts

Keys:Alt+C+R


(Untitled)

Index command (Help menu)

Use this command to display the opening screen of Help. From the opening screen, you can jump to step-by-step instructions for using LMWin32 and various types of reference information.

Once you open Help, you can click the Contents button whenever you want to return to the opening screen.


(Untitled)

Save a Script File

Saves the script file currently being edited. If it is a new file which is being saved for the first time, a Save As dialog box is opened , Prompting the user for the file name and the directory where the file is to be saved.

Shortcuts

Toolbar:

Keys:CTRL+S


End Session

Ends the currently active session. User can give an ending code. The session number can be between 0 and 255.

This command could be run in SINGLE or BATCH MODE

See Execute Command Dialog Box for more Information


Format

Formats the specified drive on HT.

The user can select the drive from a list box.

This can be accomplished by typeing the first letter of the required drive in the combo box (Only enabled Item) or by dropping down the combo box and makeing a selection.

This command could be run in SINGLE or BATCH MODE

See Execute Command Dialog Box for more Information


Get Disk Info

Gets the information like about the drive selected in the combo boxE/CODE>DriveE/CODE>.

Stores the fetched information in diskinfo.clp file.

This command could be run in SINGLE or BATCH MODE

See Execute Command Dialog Box for more Information


Get File Info

Gets the information like information like File Attributes(Hidden, Readonly, Archived, System), Date, Time, Drive,Size etc about the file entered in theE/CODE>Enter FileE/CODE>edit box.

Stores the fetched information in fileinfo.clp file.

This command could be run in SINGLE or BATCH MODE

See Execute Command Dialog Box for more Information


Set Time Date

This command sets the date and time of HT from PC

This command could be run in SINGLE or BATCH MODE

See Execute Command Dialog Box for more Information


Execute

Exec

Executes a child process on PC side. It can be used to execute any executable on PC side.

This command could be run in SINGLE or BATCH MODE

See Execute Command Dialog Box for more Information


(Untitled)

Monitor TCP/IP Stations

This dialog is obtained when the link manager is started that is when the the LmWin start button is pressed or when a command or script file is run. This dialog displays the current state of the various stations on the network. The states that are displayed are

Ping Successful

Ping Unsuccessful

Station is Communicating (Blinking Green)

Station has successfully completed communication

A Communication error has taken place with that station

This dialog box also allows the user to Ping the stations at any time to determine whether the station is alive or not.This is done using theE/CODE>PING ButtonsE/CODE>.The PING button Pings all stations which are not communicating and sets them to either Ping successful or Ping failure state.